// **************************************************************
// *******  LM75A_ROUTINES HEADER FILE ******** 		
// **************************************************************
// Erstellung 11.6.2011, letzte Aenderung: 13.6.2011

#define LM75A_SLAVE  0x48
#define LM75A_W    (LM75A_SLAVE<<1)
#define LM75A_R    ((LM75A_SLAVE<<1)+1)
#define LM75A_ADR_Temp  0x00
#define LM75A_ADR_Conf  0x01
#define LM75A_ADR_Thyst 0x02
#define LM75A_ADR_Tos   0x03

#define LM75A_NO_ERROR	0
#define LM75A_ERROR	(-4096)

typedef struct
{
 char Temp[2];
 char Conf;
 char Thyst[2];
 char Tos[2];
} LM75A_DATA;

int lm75a_readtemp();  //aktuelle Temperatur in 8-tel Grad
int lm75a_readtos();   // Oberer Sollwert in 8-tel Grad
int lm75a_readthyst(); //Unterer Sollwert in 8-tel Grad
unsigned char lm75a_sollwrite(int tos,int thyst); //Sollwerte schreiben

#define LM75A_CONF_shutdown   0x01
#define LM75A_CONF_oscompint  0x02
#define LM75A_CONF_ospolarity 0x04
#define LM75A_CONF_osfault    0x18
#define LM75A_CONF_reserved   0xE0
unsigned char lm75a_readconf();           //Configurations-Register lesen
unsigned char lm75a_writeconf(char conf); //Configurations-Register schreiben
void lm75a_sleep(); //LM75A in Schlafmodus legen
void lm75a_nosleep(); //LM75A aufwecken
