#ifndef SENSOREN_H
#define SENSOREN_H

#define uchar unsigned char
#define uint unsigned int

#define ID0 10000  //grosser Anfangswert damit 2 Bytes unterschiedlich von Null
#define IDMASTER ID0
#define ID1 (ID0+1) //eindeutige Nummer 1.Sensor
#define ID2 (ID0+2) //eindeutige Nummer 2.Sensor
#define IDMAX (ID0+2) //maximal eingesetzte Anzahl Sensoren

//Minimale und maximale Paketlaengen:
#define MINPACK 4
#define MAXPACK 16

typedef union _datenblock
{
 uchar data[16];
 struct
  {uchar n;           //Laenge des Datenpakets
   int id;            //Eindeutige Nummer des Senders
   int temp1,temp2;   //die beiden Temperaturen in Achtelgrad Celsius
   uint batt;         //Batteriespannung in Millivolt
   long zaehler;      //Aufsummierte Temperaturdifferenzen in Min*Achtelgrad
   uchar sec,min,stu; //aktuelle Zeit des Senders
  };
} datenblock;

#endif
